[**@lancedb/lancedb**](../README.md) • **Docs**

***

[@lancedb/lancedb](../globals.md) / BranchContents

# Class: BranchContents

## Constructors

### new BranchContents()

```ts
new BranchContents(): BranchContents
```

#### Returns

[`BranchContents`](BranchContents.md)

## Properties

### manifestSize

```ts
manifestSize: number;
```

***

### parentBranch?

```ts
optional parentBranch: string;
```

***

### parentVersion

```ts
parentVersion: number;
```
